# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = TDx_Play_Library_Build.exe
OBJFILES = TDx_Play_Library_Build.obj \
   ..\..\..\Source\TDx_Library_Functions.obj \
   ..\..\..\Source\TDx_Library_Defns.obj \
   ..\..\Source\TDx_Play_Library_Defns.obj \
   ..\..\Source\TDx_Play_Library_Functions.obj \
   ..\..\Source\TDPAccountDesc.obj \
   ..\..\Source\TDPApplicationDesc.obj \
   ..\..\Source\TDPCaps.obj \
   ..\..\Source\TDPChat.obj \
   ..\..\Source\TDPComPortAddress.obj \
   ..\..\Source\TDPCompoundAddressElement.obj \
   ..\..\Source\TDPCredentials.obj \
   ..\..\Source\TDPLAppInfo.obj \
   ..\..\Source\TDPLConnection.obj \
   ..\..\Source\TDPName.obj \
   ..\..\Source\TDPSecurityDesc.obj \
   ..\..\Source\TDPSessionDesc.obj \
   ..\..\Source\TDx_Play.obj \
   ..\..\Source\TDx_PlayLobby.obj \
   ..\..\Source\TDx_Play_Library_Install.obj
RESFILES =
RESDEPEN = $(RESFILES)
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -$U -$L- -$D- $Y -JPHNV -M
RFLAGS = -i..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl
LFLAGS = -L..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
